
import random
from alembic import command
from alembic.config import Config
from sqlalchemy import create_engine

def generate_migration_config(directory, revision_id, output):
    """
    Generate a migration configuration using Alembic.
    """
    # Set up the Alembic configuration
    config = Config()
    config.set_main_option('script_location', directory)
    config.set_main_option('sqlalchemy.url', 'sqlite:///example.db')

    # Create an engine to interact with the database
    engine = create_engine('sqlite:///example.db')

    # Generate the migration
    command.stamp(config, revision_id)

    # Write the migration to the output file
    with open(output, 'w') as f:
        command.generate(config, f)

# Usage example
generate_migration_config('migrations', 'head', 'new_migration.py')



